Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Apr 03 11:09

    fvantienen on master

    [python] improve file generatio… [python] replace combo list by … [python] improve create_module … and 2 more (compare)

  • Apr 03 11:09
    fvantienen closed #2517
  • Apr 03 09:57
    gautierhattenberger synchronize #2517
  • Apr 03 09:06
    tomvand commented #2514
  • Apr 03 09:06

    gautierhattenberger on master

    Add software-I2C (#2514) (compare)

  • Apr 03 09:06
    gautierhattenberger closed #2514
  • Apr 03 09:05
    gautierhattenberger commented #2514
  • Apr 03 09:03
    tomvand commented #2514
  • Apr 03 08:34
    gautierhattenberger commented #2514
  • Apr 03 07:43
    tomvand synchronize #2514
  • Apr 02 22:04
    gautierhattenberger synchronize #2517
  • Apr 02 21:38
    gautierhattenberger labeled #2517
  • Apr 02 21:38
    gautierhattenberger labeled #2517
  • Apr 02 21:38
    gautierhattenberger milestoned #2517
  • Apr 02 21:37
    gautierhattenberger labeled #2517
  • Apr 02 21:37
    gautierhattenberger opened #2517
  • Apr 02 08:09

    gautierhattenberger on master

    #2384, Convert some scripts to … (compare)

  • Apr 02 08:09
    gautierhattenberger closed #2513
  • Apr 02 08:09
    gautierhattenberger closed #2384
  • Apr 02 07:41
    dewagter commented #2513
Dan Berry
@dgberry1
Is there a particular section in the messages.XML I want to use? I was going to use ground messages section. Do I just pich a free message number? Just to make sure.
Felix Ruess
@flixr
that depends what kind of message you want to add...
if you want to send something from the aircraft to the ground, add it to "telemetry", for sending to the aircraft to "datalink" and if it's only a message between ground agents - well - to "ground"
Dan Berry
@dgberry1
@flixr this is from an in-flight computer to the autopilot.
rambalakrishnan
@rambalakrishnan
is there a way to access the bebop front camera?
Felix Ruess
@flixr
averroken
@averroken
Hi
Felix Ruess
@flixr
hi @averroken
rambalakrishnan
@rambalakrishnan
@flixr thank you for your help yesterday, and all your help two weeks ago - I really appreciate it
averroken
@averroken
have anyone experience here for control the ar drone with at commands ?
ikenshini
@ikenshini
at commands?
averroken
@averroken
dat zijn text strings en 32 signed bit integer, met parameters
Felix Ruess
@flixr
you mean the sdk version? that is not supported in Paparazzi anymore, but there might still be some info on some AT commands on the wiki
ikenshini
@ikenshini
From that link - I think that's commanding without paparazzi, no? Looks like how the parrot app communicates with the drone
averroken
@averroken
oh, i thought paparazzi is a wiki page with chat, i use processing in sublime text. yes, it's for communicates with drone
i was just searched for info about the commands, and was here on this site,
ikenshini
@ikenshini
averroken
@averroken
ah, that is another thing
ikenshini
@ikenshini
yes - but it works with the AR Drone, it is used for autonomous flights - much easier than programming a drone without it
but if you're doing something simple, AT commands can be used
averroken
@averroken
what i'm trying to do is control a ar drone with a kinect v1.
but i didn't understand how the at commands works, thats more the problem.
Dan Berry
@dgberry1
Has anybody had this error when installing the gcc-arm-embedded repository?
Errors were encountered while processing:
/var/cache/apt/archives/libstdc++6-armhf-cross_4.8.4-2ubuntu1~14.04.1cross0.11.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Felix Ruess
@flixr
@dgberry1 that seems to be a bug in ubuntu packaging: https://bugs.launchpad.net/ubuntu/+source/gcc-4.8-armhf-cross/+bug/1557205
Dan Berry
@dgberry1
@flixr Okay I'm checking it out. I found other having this issue too.
does the 4.9 version work with paparazzi?
Felix Ruess
@flixr
yes, we also ran into this bug in our travis builds, that's why I disabled them for now (as they always error because of this)
4.9 should work... but I haven't tested it...
Dan Berry
@dgberry1
okay thanks.
I might give it a try. I did find a note about Nvidia video being the culprit.
Dan Berry
@dgberry1
I found this command to get the cross compiler to install.
sudo apt-get -o Dpkg::Options::="--force-overwrite" install -f
It worked and I was able to move forward with the installation
rambalakrishnan
@rambalakrishnan
the wiki says that 0.017s is the minimum period for telemetry messages. is that also true of ground-to-aircraft messages? i would like to set a joystick update frequency in excess of 60Hz
Gautier Hattenberger
@gautierhattenberger
@rambalakrishnan you should be able to increase the update rate of the joystick by changing the period parameter in your joystick file. The smallest theoretical period is 1ms, but it is probably way to much for the telemetry. 60Hz should be fine if you don't have too much downlink telemetry or enough bandwidth.
averroken
@averroken
thanks for the information, problem solved
Felix Ruess
@flixr
if anyone has a launchpad account, maybe also mark bug https://bugs.launchpad.net/ubuntu/+source/gcc-4.8-armhf-cross/+bug/1557205 as "this bug affectes me"... maybe they will fix it faster then...
ah, at least a fix is now proposed...
HooperFly
@hooperfly
Beta release 0.2.1 of the Flying Robot Command available for public consumption: https://github.com/paparazzi/flyingrobotcommander
Gautier Hattenberger
@gautierhattenberger
nice work ! (and nice picture ;) )
Felix Ruess
@flixr
ah, the ubuntu packaging bug in armhf-cross has been fixed :-)
Dan Berry
@dgberry1
@flixr that is good.
Dan Berry
@dgberry1
I've downloaded and installed the DFU-Util and I am having trouble flashing my Elle0.

make1: Leaving directory /home/dan/paparazzi/sw/airborne' cd sw/airborne; make TARGET=ap upload Using "arch/stm32/elle0.ld" as ldscript for target "ap". make[1]: Entering directory/home/dan/paparazzi/sw/airborne'
Using dfu-util at 0x08000000
Cannot open device
dfu-util 0.5

(C) 2005-2008 by Weston Schmidt, Harald Welte and OpenMoko Inc.
(C) 2010-2011 Tormod Volden (DfuSe support)
This program is Free Software and has ABSOLUTELY NO WARRANTY

dfu-util does currently only support DFU version 1.0

Filter on vendor = 0x0483 product = 0xdf11
Opening DFU USB device... make1: [upload] Error 1
make1: Leaving directory `/home/dan/paparazzi/sw/airborne'
make:
[ap.upload] Error 2
make: Leaving directory `/home/dan/paparazzi'

FAILED 'make -C /home/dan/paparazzi -f Makefile.ac AIRCRAFT=Fury ap.upload' with code 2

Felix Ruess
@flixr
you might want to try with a newer dfu-util version
what distro/version are you using?